package com.jeeplus.modules.supply.stockOut.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 出库单表
 * @author: 徐滕
 * @create: 2022-02-25 08:53
 **/
public class SupplyStockOut extends DataEntity<SupplyStockOut> {
    private String choose;                  //选择
    private String serialNumber;            //序号
    private String stockOutNumber;          //varchar(255) 出库单编号
    private String wbsElement;              //varchar(255) wbs元素
    private String projectName;             //varchar(255) 项目名称
    private String projectDefinition;       //varchar(255) 项目定义号
    private String materialNumber;          //varchar(255) 物料编码
    private String materialDescription;     //varchar(500) 物料描述
    private String batch;                   //varchar(255) 批次
    private String unit;                    //varchar(255) 计量单位
    private String actualQuantityIssued;    //varchar(255) 实发数量
    private String unitPrice;               //varchar(255) 单价
    private String money;                   //varchar(255) 金额
    private Date postingAccountDate;        //datetime 过账日期
    private String postingAccountDateStr;        //datetime 过账日期(Str)
    private Date postingAccountDate2;        //datetime 过账日期（2）不进行存储
    private String supplierName;            //varchar(255) 供应商名称
    private String factory;                 //varchar(255) 工厂
    private String pickingNumber;           //varchar(255) 领料单号
    private String pickingCreateBy;         //varchar(255) 领料单创建人
    private String pickingDepartment;       //varchar(255) 领料部门
    private String reservedNumber;          //varchar(255) 预留号
    private String repertoryPlace;          //varchar(255) 库存地点
    private String projectPackageName;      //varchar(255) 项目包名称
    private String stockOutPerson;          //varchar(255) 出库人
    private String wbsElementDescription;   //varchar(500) wbs元素描述
    private String projectSecondClassification;     //varchar(255) 项目二级分类
    private String projectThirdlyClassification;    //varchar(255) 项目三级分类
    private String orderNumber;             //varchar(255) 订单号
    private String assessType;              //varchar(255) 评估类型
    private String remarks;                 //varchar(255) 备注
    private Date stockOutImportDate;        //datetime 出库单输入日期
    private String stockOutImportDateStr;        //datetime 出库单输入日期
    private String accountantCertificate;   //varchar(255) 会计凭证
    private String replyProof;              //varchar(255) 可研批复文号
    private String materialsType;              //varchar(255) 材料类型
    private Date beginDate;                 //开始时间
    private Date endDate;                   //结束事件
    private String particularMaterialNumber;          //varchar(255) 超欠供明细物料编码

    @ExcelField(title="选择", align=2, sort=1)
    public String getChoose() {
        return choose;
    }

    @ExcelField(title="序号", align=2, sort=2)
    public String getSerialNumber() {
        return serialNumber;
    }

    @ExcelField(title="出库单编号", align=2, sort=3)
    public String getStockOutNumber() {
        return stockOutNumber;
    }

    @ExcelField(title="wbs元素", align=2, sort=4)
    public String getWbsElement() {
        return wbsElement;
    }

    @ExcelField(title="项目名称", align=2, sort=5)
    public String getProjectName() {
        return projectName;
    }

    @ExcelField(title="项目定义号", align=2, sort=6)
    public String getProjectDefinition() {
        return projectDefinition;
    }

    @ExcelField(title="物料编码", align=2, sort=7)
    public String getMaterialNumber() {
        return materialNumber;
    }

    @ExcelField(title="物料描述", align=2, sort=8)
    public String getMaterialDescription() {
        return materialDescription;
    }

    @ExcelField(title="批次", align=2, sort=9)
    public String getBatch() {
        return batch;
    }

    @ExcelField(title="计量单位", align=2, sort=10)
    public String getUnit() {
        return unit;
    }

    @ExcelField(title="实发数量", align=2, sort=11)
    public String getActualQuantityIssued() {
        return actualQuantityIssued;
    }

    @ExcelField(title="单价", align=2, sort=12)
    public String getUnitPrice() {
        return unitPrice;
    }

    @ExcelField(title="金额", align=2, sort=13)
    public String getMoney() {
        return money;
    }

    @ExcelField(title="过账日期", align=2, sort=14)
    public Date getPostingAccountDate() {
        return postingAccountDate;
    }

    @ExcelField(title="过账日期", align=2, sort=15)
    public Date getPostingAccountDate2() {
        return postingAccountDate2;
    }

    @ExcelField(title="供应商名称", align=2, sort=16)
    public String getSupplierName() {
        return supplierName;
    }

    @ExcelField(title="工厂", align=2, sort=17)
    public String getFactory() {
        return factory;
    }

    @ExcelField(title="领料单号", align=2, sort=18)
    public String getPickingNumber() {
        return pickingNumber;
    }

    @ExcelField(title="领料单创建人", align=2, sort=19)
    public String getPickingCreateBy() {
        return pickingCreateBy;
    }

    @ExcelField(title="领料部门", align=2, sort=20)
    public String getPickingDepartment() {
        return pickingDepartment;
    }

    @ExcelField(title="预留号", align=2, sort=21)
    public String getReservedNumber() {
        return reservedNumber;
    }

    @ExcelField(title="库存地点", align=2, sort=22)
    public String getRepertoryPlace() {
        return repertoryPlace;
    }

    @ExcelField(title="项目包名称", align=2, sort=23)
    public String getProjectPackageName() {
        return projectPackageName;
    }

    @ExcelField(title="出库人", align=2, sort=24)
    public String getStockOutPerson() {
        return stockOutPerson;
    }

    @ExcelField(title="wbs元素描述", align=2, sort=25)
    public String getWbsElementDescription() {
        return wbsElementDescription;
    }

    @ExcelField(title="项目二级分类", align=2, sort=26)
    public String getProjectSecondClassification() {
        return projectSecondClassification;
    }

    @ExcelField(title="项目三级分类", align=2, sort=27)
    public String getProjectThirdlyClassification() {
        return projectThirdlyClassification;
    }

    @ExcelField(title="订单号", align=2, sort=28)
    public String getOrderNumber() {
        return orderNumber;
    }

    @ExcelField(title="评估类型", align=2, sort=29)
    public String getAssessType() {
        return assessType;
    }

    @ExcelField(title="备注", align=2, sort=30)
    @Override
    public String getRemarks() {
        return remarks;
    }

    @ExcelField(title="出库单输入日期", align=2, sort=31)
    public Date getStockOutImportDate() {
        return stockOutImportDate;
    }

    @ExcelField(title="会计凭证", align=2, sort=32)
    public String getAccountantCertificate() {
        return accountantCertificate;
    }

    @ExcelField(title="可研批复文号", align=2, sort=33)
    public String getReplyProof() {
        return replyProof;
    }

    public void setChoose(String choose) {
        this.choose = choose;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public void setStockOutNumber(String stockOutNumber) {
        this.stockOutNumber = stockOutNumber;
    }

    public void setWbsElement(String wbsElement) {
        this.wbsElement = wbsElement;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setActualQuantityIssued(String actualQuantityIssued) {
        this.actualQuantityIssued = actualQuantityIssued;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public void setPostingAccountDate(Date postingAccountDate) {
        this.postingAccountDate = postingAccountDate;
    }

    public void setPostingAccountDate2(Date postingAccountDate2) {
        this.postingAccountDate2 = postingAccountDate2;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public void setPickingNumber(String pickingNumber) {
        this.pickingNumber = pickingNumber;
    }

    public void setPickingCreateBy(String pickingCreateBy) {
        this.pickingCreateBy = pickingCreateBy;
    }

    public void setPickingDepartment(String pickingDepartment) {
        this.pickingDepartment = pickingDepartment;
    }

    public void setReservedNumber(String reservedNumber) {
        this.reservedNumber = reservedNumber;
    }

    public void setRepertoryPlace(String repertoryPlace) {
        this.repertoryPlace = repertoryPlace;
    }

    public void setProjectPackageName(String projectPackageName) {
        projectPackageName = projectPackageName;
    }

    public void setStockOutPerson(String stockOutPerson) {
        this.stockOutPerson = stockOutPerson;
    }

    public void setWbsElementDescription(String wbsElementDescription) {
        this.wbsElementDescription = wbsElementDescription;
    }

    public void setProjectSecondClassification(String projectSecondClassification) {
        this.projectSecondClassification = projectSecondClassification;
    }

    public void setProjectThirdlyClassification(String projectThirdlyClassification) {
        this.projectThirdlyClassification = projectThirdlyClassification;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setAssessType(String assessType) {
        this.assessType = assessType;
    }

    @Override
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public void setStockOutImportDate(Date stockOutImportDate) {
        this.stockOutImportDate = stockOutImportDate;
    }

    public void setAccountantCertificate(String accountantCertificate) {
        this.accountantCertificate = accountantCertificate;
    }

    public void setReplyProof(String replyProof) {
        this.replyProof = replyProof;
    }

    public String getMaterialsType() {
        return materialsType;
    }

    public void setMaterialsType(String materialsType) {
        this.materialsType = materialsType;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getPostingAccountDateStr() {
        return postingAccountDateStr;
    }

    public void setPostingAccountDateStr(String postingAccountDateStr) {
        this.postingAccountDateStr = postingAccountDateStr;
    }

    public String getStockOutImportDateStr() {
        return stockOutImportDateStr;
    }

    public void setStockOutImportDateStr(String stockOutImportDateStr) {
        this.stockOutImportDateStr = stockOutImportDateStr;
    }

    public String getParticularMaterialNumber() {
        return particularMaterialNumber;
    }

    public void setParticularMaterialNumber(String particularMaterialNumber) {
        this.particularMaterialNumber = particularMaterialNumber;
    }
}
